Bug 26580 - Remove unused C4::Acquisition::DelBasket function
Summary: Remove unused C4::Acquisition::DelBasket function
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on: 26577
Blocks: 21204 26584
  Show dependency treegraph
 
Reported: 2020-09-30 15:02 UTC by Tomás Cohen Arazi
Modified: 2020-10-15 13:25 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26580: Remove unused C4::Acquisition::DelBasket function (1.74 KB, patch)
2020-09-30 15:05 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 26580: Remove unused C4::Acquisition::DelBasket function (1.79 KB, patch)
2020-10-01 13:17 UTC, David Nind
Details | Diff | Splinter Review
Bug 26580: Remove unused C4::Acquisition::DelBasket function (1.85 KB, patch)
2020-10-07 13:26 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2020-09-30 15:02:21 UTC
As of bug 26577 it is no longer used in the codebase.
Comment 1 Tomás Cohen Arazi 2020-09-30 15:05:55 UTC
Created attachment 110997 [details] [review]
Bug 26580: Remove unused C4::Acquisition::DelBasket function

Bug 26577 removed the only use of it.

To test:
1. Apply this patch
2. Run:
   $ git grep DelBasket
=> SUCCESS: Only finds references to DelBasketGroup
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 David Nind 2020-10-01 13:17:47 UTC
Created attachment 111043 [details] [review]
Bug 26580: Remove unused C4::Acquisition::DelBasket function

Bug 26577 removed the only use of it.

To test:
1. Apply this patch
2. Run:
   $ git grep DelBasket
=> SUCCESS: Only finds references to DelBasketGroup
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Martin Renvoize 2020-10-07 13:26:20 UTC
Created attachment 111331 [details] [review]
Bug 26580: Remove unused C4::Acquisition::DelBasket function

Bug 26577 removed the only use of it.

To test:
1. Apply this patch
2. Run:
   $ git grep DelBasket
=> SUCCESS: Only finds references to DelBasketGroup
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-10-07 13:27:42 UTC
Nice work, no trace of the method is found.

No regressions and QA script is happy (though it warns about the drop in POD coverage, which is expected).

Passing QA
Comment 5 Jonathan Druart 2020-10-15 13:25:32 UTC
Pushed to master for 20.11, thanks to everybody involved!